/*
 * @(#)AssertionNotFoundException.java
 *
 * Copyright (C) 2005 Infocity Inc. All Rights Reserved.
 */
package info.dragonlady.sso;

/**
 * アーティファクトに対応するアサーションが見つからなかった場合に発生する例外クラス
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.1 $ $Date: 2005/11/24 14:06:11 $
 */
public class AssertionNotFoundException extends Exception {

	/**
	 * コンストラクタ
	 * 
	 */
	public AssertionNotFoundException() {
		super();
	}

	/**
	 * コンストラクタ
	 * 
	 * @param message メッセージ
	 */
	public AssertionNotFoundException(String message) {
		super(message);
	}

	/**
	 * コンストラクタ
	 * 
	 * @param cause 原因
	 */
	public AssertionNotFoundException(Throwable cause) {
		super(cause);
	}

	/**
	 * コンストラクタ
	 * 
	 * @param message メッセージ
	 * @param cause 原因
	 */
	public AssertionNotFoundException(String message, Throwable cause) {
		super(message, cause);
	}

}
